Subject: ibis-users V1 #14
From: owner-ibis-users@ (ibis-users)
To: [email-masked]

ibis-users           Friday, January 3 2003           Volume 01 : Number 014

----------------------------------------------------------------------

Date: Fri, 20 Dec 2002 08:54:12 -0800
From: "Peters, Stephen" <[email-masked]>
Subject: RE: [IBIS-Users] IBIS Models for bidi I/O

Hello Suresh:

  Visit the IBIS website and download the IBIS Cookbook for v2.1

 http://www.eigroup.org/ibis/tools.htm

This will give you a good introduction to IBIS modeling, including how to
model IO bi-directional buffers. 

  Regards,
  Stephen Peters
  Intel Corp.

- -----Original Message-----
From: Suresh C [mailto:[email-masked]]
Sent: Thursday, December 19, 2002 9:13 PM
To: ibis-users
Subject: [IBIS-Users] IBIS Models for bidi I/O

Hi,

This is Suresh here. I'm new to IBIS modeling. I would
apprecitate if anyone could guide me for generating models for
bidirectional IO's with pullup.

Any documents/links would be helpful.

Thanks and Regards,
Suresh

===================================================================
Suresh C				Ph: 91-80-5099437
MSP India Tactical Cells Team
Texas Instruments, India
- --------------------------------------------------------------------
"All experience is an arch wherethrough gleams that untraveled world,
whose margin fades for ever and for ever when I move"
===================================================================

|------------------------------------------------------------------
|For help or to subscribe/unsubscribe, email [email-masked]
|with just the appropriate command message(s) in the body:
|
|  help
|  subscribe   ibis       <optional e-mail address, if different>
|  subscribe   ibis-users <optional e-mail address, if different>
|  unsubscribe ibis       <optional e-mail address, if different>
|  unsubscribe ibis-users <optional e-mail address, if different>
|
|or email a written request to [email-masked].
|
|IBIS reflector archives exist under:
|
|  http://www.eda.org/pub/ibis/email_archive/  Recent
|  http://www.eda.org/pub/ibis/users_archive/  Recent
|  http://www.eda.org/pub/ibis/email/          E-mail since 1993
|------------------------------------------------------------------
|For help or to subscribe/unsubscribe, email [email-masked]
|with just the appropriate command message(s) in the body:
|
|  help
|  subscribe   ibis       <optional e-mail address, if different>
|  subscribe   ibis-users <optional e-mail address, if different>
|  unsubscribe ibis       <optional e-mail address, if different>
|  unsubscribe ibis-users <optional e-mail address, if different>
|
|or email a written request to [email-masked].
|
|IBIS reflector archives exist under:
|
|  http://www.eda.org/pub/ibis/email_archive/  Recent
|  http://www.eda.org/pub/ibis/users_archive/  Recent
|  http://www.eda.org/pub/ibis/email/          E-mail since 1993

------------------------------

Date: Thu, 26 Dec 2002 15:53:12 +0530
From: Anshuli Goel <[email-masked]>
Subject: [IBIS-Users] Rise waveform and Ramp rate

Hello IBIS Gurus

I have one doubt , in the IBIS model how do we take into account for the
Rising waveform and ramp rate. ? How in the simulation these two
parameter are used . ? I have C_f also while calculation of rising
waveform which is going to affect the rise time of the cell .

Regards
Anshuli

|------------------------------------------------------------------
|For help or to subscribe/unsubscribe, email [email-masked]
|with just the appropriate command message(s) in the body:
|
|  help
|  subscribe   ibis       <optional e-mail address, if different>
|  subscribe   ibis-users <optional e-mail address, if different>
|  unsubscribe ibis       <optional e-mail address, if different>
|  unsubscribe ibis-users <optional e-mail address, if different>
|
|or email a written request to [email-masked].
|
|IBIS reflector archives exist under:
|
|  http://www.eda.org/pub/ibis/email_archive/  Recent
|  http://www.eda.org/pub/ibis/users_archive/  Recent
|  http://www.eda.org/pub/ibis/email/          E-mail since 1993

------------------------------

Date: Thu, 26 Dec 2002 17:57:03 +0530
From: Anshuli Goel <[email-masked]>
Subject: [IBIS-Users] Ramp Rate

Hello IBIS Gurus

I am trying to generate the IBIS model of a Bi-di buffer in only output
direction. In first case in s2ibis2 script I give 1ns as rise and fall
time and in the output IBIs file I get some ramp rate,
     in second case I change the rise and fall time in s2ibis2 script
but in the output IBIS file the ramp rate is not changed as compared to
first case.
( While I expected it to change since output rise and fall time depends
on input slew and output load , in this case only input slew is changing
) .

Why this is happening ?
Is there some other parameters also that I need to change ?

Regards
Anshuli

|------------------------------------------------------------------
|For help or to subscribe/unsubscribe, email [email-masked]
|with just the appropriate command message(s) in the body:
|
|  help
|  subscribe   ibis       <optional e-mail address, if different>
|  subscribe   ibis-users <optional e-mail address, if different>
|  unsubscribe ibis       <optional e-mail address, if different>
|  unsubscribe ibis-users <optional e-mail address, if different>
|
|or email a written request to [email-masked].
|
|IBIS reflector archives exist under:
|
|  http://www.eda.org/pub/ibis/email_archive/  Recent
|  http://www.eda.org/pub/ibis/users_archive/  Recent
|  http://www.eda.org/pub/ibis/email/          E-mail since 1993

------------------------------

Date: Thu, 26 Dec 2002 10:56:19 -0800
From: "Tom Dagostino" <[email-masked]>
Subject: RE: [IBIS-Users] Ramp Rate

Most output buffers have many stages between the point that you stimulate it
and the output node that you are measuring.  Each of these stages have some
gain.  The gain plus the number of stages involved will take a slow input
ramp and normalize it so that what you see is the same slew rate in the
output for any reasonable input ramp.  You will likely see a different time
delay through the buffer based on the slew rate of the input but the output
slew rate will remain constant.

Tom Dagostino
Teraspeed Consulting Group LLC     Teraspeed Consulting Group LLC
2926 SE Yamhill St.                Device Modeling Division
Portland, OR 97214                 13610 SW Harness Lane
                                   Beaverton, OR 97008
http://www.teraspeed.com           503-430-1065
[email-masked]

- -----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Anshuli Goel
Sent: Thursday, December 26, 2002 4:27 AM
To: [email-masked]
Subject: [IBIS-Users] Ramp Rate

Hello IBIS Gurus

I am trying to generate the IBIS model of a Bi-di buffer in only output
direction. In first case in s2ibis2 script I give 1ns as rise and fall
time and in the output IBIs file I get some ramp rate,
     in second case I change the rise and fall time in s2ibis2 script
but in the output IBIS file the ramp rate is not changed as compared to
first case.
( While I expected it to change since output rise and fall time depends
on input slew and output load , in this case only input slew is changing
) .

Why this is happening ?
Is there some other parameters also that I need to change ?

Regards
Anshuli

|------------------------------------------------------------------
|For help or to subscribe/unsubscribe, email [email-masked]
|with just the appropriate command message(s) in the body:
|
|  help
|  subscribe   ibis       <optional e-mail address, if different>
|  subscribe   ibis-users <optional e-mail address, if different>
|  unsubscribe ibis       <optional e-mail address, if different>
|  unsubscribe ibis-users <optional e-mail address, if different>
|
|or email a written request to [email-masked].
|
|IBIS reflector archives exist under:
|
|  http://www.eda.org/pub/ibis/email_archive/  Recent
|  http://www.eda.org/pub/ibis/users_archive/  Recent
|  http://www.eda.org/pub/ibis/email/          E-mail since 1993

|------------------------------------------------------------------
|For help or to subscribe/unsubscribe, email [email-masked]
|with just the appropriate command message(s) in the body:
|
|  help
|  subscribe   ibis       <optional e-mail address, if different>
|  subscribe   ibis-users <optional e-mail address, if different>
|  unsubscribe ibis       <optional e-mail address, if different>
|  unsubscribe ibis-users <optional e-mail address, if different>
|
|or email a written request to [email-masked].
|
|IBIS reflector archives exist under:
|
|  http://www.eda.org/pub/ibis/email_archive/  Recent
|  http://www.eda.org/pub/ibis/users_archive/  Recent
|  http://www.eda.org/pub/ibis/email/          E-mail since 1993

------------------------------

Date: Thu, 26 Dec 2002 11:02:08 -0800 (PST)
From: Syed Huq <[email-masked]>
Subject: Re: [IBIS-Users] Ramp Rate

Have you done this test using SPICE only(bypassing s2ibis2) and measure
the Ramp(Ouput) on SPICE ?

Also, what was the input Tr/Tf for the second case ?

Syed

>Date: Thu, 26 Dec 2002 17:57:03 +0530
>From: Anshuli Goel <[email-masked]>
>X-Accept-Language: en
>MIME-Version: 1.0
>To: "[email-masked]" <[email-masked]>
>Subject: [IBIS-Users] Ramp Rate
>Content-Transfer-Encoding: 7bit
>
>Hello IBIS Gurus
>
>I am trying to generate the IBIS model of a Bi-di buffer in only output
>direction. In first case in s2ibis2 script I give 1ns as rise and fall
>time and in the output IBIs file I get some ramp rate,
>     in second case I change the rise and fall time in s2ibis2 script
>but in the output IBIS file the ramp rate is not changed as compared to
>first case.
>( While I expected it to change since output rise and fall time depends
>on input slew and output load , in this case only input slew is changing
>) .
>
>Why this is happening ?
>Is there some other parameters also that I need to change ?
>
>Regards
>Anshuli
>
>
>|------------------------------------------------------------------
>|For help or to subscribe/unsubscribe, email [email-masked]
>|with just the appropriate command message(s) in the body:
>|
>|  help
>|  subscribe   ibis       <optional e-mail address, if different>
>|  subscribe   ibis-users <optional e-mail address, if different>
>|  unsubscribe ibis       <optional e-mail address, if different>
>|  unsubscribe ibis-users <optional e-mail address, if different>
>|
>|or email a written request to [email-masked].
>|
>|IBIS reflector archives exist under:
>|
>|  http://www.eda.org/pub/ibis/email_archive/  Recent
>|  http://www.eda.org/pub/ibis/users_archive/  Recent
>|  http://www.eda.org/pub/ibis/email/          E-mail since 1993

|------------------------------------------------------------------
|For help or to subscribe/unsubscribe, email [email-masked]
|with just the appropriate command message(s) in the body:
|
|  help
|  subscribe   ibis       <optional e-mail address, if different>
|  subscribe   ibis-users <optional e-mail address, if different>
|  unsubscribe ibis       <optional e-mail address, if different>
|  unsubscribe ibis-users <optional e-mail address, if different>
|
|or email a written request to [email-masked].
|
|IBIS reflector archives exist under:
|
|  http://www.eda.org/pub/ibis/email_archive/  Recent
|  http://www.eda.org/pub/ibis/users_archive/  Recent
|  http://www.eda.org/pub/ibis/email/          E-mail since 1993

------------------------------

Date: Fri, 27 Dec 2002 02:04:04 +0200
From: "Elya B. Joffe" <[email-masked]>
Subject: [IBIS-Users] CALL FOR EMC COMPUTER MODELING AND SIMULATION DEMONSTRATIONS

2003 IEEE INTERNATIONAL SYMPOSIUM ON EMC, ISTANBUL
MAY 11-16, 2003:
CALL FOR EMC COMPUTER MODELING AND SIMULATION DEMONSTRATIONS
SPONSORED BY
THE IEEE EMC SOCIETY EDUCATION AND STUDENT ACTIVITIES COMMITTEE

We are planning to hold special sessions on EMC Computer Modeling and Simulation 
(M&S) Demonstrations at the 2003 IEEE International Symposium on EMC in 
Istanbul, Turkey.
These special sessions build upon the success of previous years' M&S 
demonstrations. This session is devoted to illustrating fundamental EMC modeling 
and simulation concepts and methods through a series of interactive computer 
demonstrations performed over a three-day period.
Various computational electromagnetic (CEM) modeling techniques will be 
demonstrated illustrating their application to simple canonical-type problems in order 
to show how specific EMC problems can be analytically solved. These include the 
application of the moment method (MoM), uniform theory of diffraction (UTD) and 
variations on the asymptotic ray tracing method, finite difference time-domain 
(FDTD), finite element modeling (FEM), transmission line (TL) theory, and other 
useful methods.
The demonstrations will be conducted using general-purpose codes to illustrate the 
M&S concepts and approaches. Hands-on participation during the demonstrations is 
encouraged. The demonstrations may cover, but not be limited to the following topics:
·	Shielding Effectiveness, Aperture Leakage Effects
·	System-Level Cable Interactions (Crosstalk, Radiation and Coupling)
·	System-Level EMC Antenna Interactions Analysis for Large, Complex 
Structures
·	Lightning, EMP and other Transient Field Interactions with Structures
·	EMC and Signal Integrity Simulation Techniques for Printed Circuit Boards, 
including Power and Ground Voltage Simultaneous Switching Noise (SSN) and 
Effects of Decoupling, 
Other proposals are encouraged and will be considered but S&M demonstrations on 
popular topics from previous years will also be welcomed.
If you are interested in having a S&M Demonstration considered, please submit by 
e-mail only a short written proposal to the Symposium Secretariat at 
[email-masked] or to Andy Drozd at [email-masked] no later than January 30, 
2003.
The proposal should include:
a)	Title of Demonstration
b)	Presenter Name(s)/Company Affiliation including city/state/country
c)	1st/2nd choice for preferred day/time period (e.g., Tuesday AM, Wednesday 
PM, etc.)
d)	A 50-word description.
Please indicate in the e-mail subject line the title: "EMC S&M - EMC'2003".
Please note that presenters will be required to bring their own laptop computers. 
Arrangements can be made with the Chair for use of other A/V aids.
Note: Computer codes and tools used for this session shall not be demonstrated for 
commercial or promotional purposes. The IEEE EMC Society does not specifically 
endorse any software code, tool, or technique used in any of the demonstrations. The 
Organizing Committee reserves the right to cancel any presentation or topic that is 
deemed to be of a commercial nature at any time prior to or during this session.

Best greetings, and Happy New Year,

	Elya B. Joffe, Symposium General Chairman
|------------------------------------------------------------------
|For help or to subscribe/unsubscribe, email [email-masked]
|with just the appropriate command message(s) in the body:
|
|  help
|  subscribe   ibis       <optional e-mail address, if different>
|  subscribe   ibis-users <optional e-mail address, if different>
|  unsubscribe ibis       <optional e-mail address, if different>
|  unsubscribe ibis-users <optional e-mail address, if different>
|
|or email a written request to [email-masked].
|
|IBIS reflector archives exist under:
|
|  http://www.eda.org/pub/ibis/email_archive/  Recent
|  http://www.eda.org/pub/ibis/users_archive/  Recent
|  http://www.eda.org/pub/ibis/email/          E-mail since 1993

------------------------------

Date: Tue, 31 Dec 2002 12:04:30 +0530
From: Anshuli Goel <[email-masked]>
Subject: [IBIS-Users] Validation of IBIS model

- --------------3078EED3D53D836294F97E0D
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Hello IBIS Gurus

I am trying to simulate the IBIS model in Spice for it's validation .

I generated the IBIS model by s2ibis2 script. After that I had two case.

1. Simulate the spice netlist of the buffer with some load .
2. Replace the subckt of buffer with IBIS model for same setup and
compare these two results.

I used the following setup :

        Buffer
                | \
R                                    ______________
- ------|   \-------/\/\/\/\/\---|_______|
|______ Load
                 |/
|               |__Tx___________ |
                                                           _|_
                                                           ___  C
                                                              |
                                                              |
                                                             \/

In Ist case I have the spice subckt of the buffer and in second case I
replced the subckt of buffer with IBIS model.
The other end of Tx is left open .
In the ouput file at the junction of cap I see a lots of ringing in
first case while with IBIS model I don't see any ringing. Why this is
happening. Why the IBIS model is not able to give any ringing?

I am attaching the waveforms for both of the cases for reference.

Waveform with IBIS model :

Waveform with Spice simulation :

Is this the trend or is there anything wrong in my setup ?

Regards
Anshuli Goel .

- --------------3078EED3D53D836294F97E0D
Content-Type: multipart/related;
 boundary="------------179B5FB289B768CB7D40EB08"

- --------------179B5FB289B768CB7D40EB08
Content-Type: text/html; charset=us-ascii
Content-Transfer-Encoding: 7bit

<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
Hello IBIS Gurus
<p>I am trying to simulate the IBIS model in Spice for it's validation
.
<p>I generated the IBIS model by s2ibis2 script. After that I had two case.
<p>1. Simulate the spice netlist of the buffer with some load .
<br>2. Replace the subckt of buffer with IBIS model for same setup and
compare these two results.
<p>I used the following setup :
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Buffer
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
| \&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
R&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
______________
<br>------|&nbsp;&nbsp; \-------/\/\/\/\/\---|_______|&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
|______ Load
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
|/&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
|&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
|__Tx___________ |
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
_|_
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
___&nbsp; C
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
|
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
|
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
\/
<br>&nbsp;
<p>In Ist case I have the spice subckt of the buffer and in second case
I replced the subckt of buffer with IBIS model.
<br>The other end of Tx is left open .
<br>In the ouput file at the junction of cap I see a lots of ringing in
first case while with IBIS model I don't see any ringing. Why this is happening.
Why the IBIS model is not able to give any ringing?
<p>I am attaching the waveforms for both of the cases for reference.
<p>Waveform with IBIS model :
<br><img SRC="cid:[email-masked]" height=343 width=1028>
<br>&nbsp;
<p>Waveform with Spice simulation :
<p><img SRC="cid:[email-masked]" height=456 width=731>
<br>&nbsp;
<br>&nbsp;
<br>&nbsp;
<p>Is this the trend or is there anything wrong in my setup ?
<p>Regards
<br>Anshuli Goel .
<br>&nbsp;</html>

- --------------179B5FB289B768CB7D40EB08
Content-Type: image/gif
Content-ID: <[email-masked]>
Content-Transfer-Encoding: base64
Content-Disposition: inline; filename="/user/a0875406/nsmail3E113A750DF2B63.gif"

- --------------179B5FB289B768CB7D40EB08
Content-Type: image/gif
Content-ID: <[email-masked]>
Content-Transfer-Encoding: base64
Content-Disposition: inline; filename="/user/a0875406/nsmail3E113A750E02B63.gif"

- --------------179B5FB289B768CB7D40EB08--

- --------------3078EED3D53D836294F97E0D--

|------------------------------------------------------------------
|For help or to subscribe/unsubscribe, email [email-masked]
|with just the appropriate command message(s) in the body:
|
|  help
|  subscribe   ibis       <optional e-mail address, if different>
|  subscribe   ibis-users <optional e-mail address, if different>
|  unsubscribe ibis       <optional e-mail address, if different>
|  unsubscribe ibis-users <optional e-mail address, if different>
|
|or email a written request to [email-masked].
|
|IBIS reflector archives exist under:
|
|  http://www.eda.org/pub/ibis/email_archive/  Recent
|  http://www.eda.org/pub/ibis/users_archive/  Recent
|  http://www.eda.org/pub/ibis/email/          E-mail since 1993

------------------------------

Date: Tue, 31 Dec 2002 12:19:22 +0530
From: Anshuli Goel <[email-masked]>
Subject: [IBIS-Users] [Fwd: Validation of IBIS model]

- --------------29945B2C35E4D8F7A02FDF62
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Resending with correct waveform.
Anshuli

Anshuli Goel wrote:

> Hello IBIS Gurus
>
> I am trying to simulate the IBIS model in Spice for it's validation .
>
> I generated the IBIS model by s2ibis2 script. After that I had two
> case.
>
> 1. Simulate the spice netlist of the buffer with some load .
> 2. Replace the subckt of buffer with IBIS model for same setup and
> compare these two results.
>
> I used the following setup :
>
>         Buffer
>                 | \
> R                                    ______________
> ------|   \-------/\/\/\/\/\---|_______|
> |______ Load
>                  |/
> |               |__Tx___________ |
>                                                            _|_
>                                                            ___  C
>                                                               |
>                                                               |
>                                                              \/
>
>
> In Ist case I have the spice subckt of the buffer and in second case I
> replced the subckt of buffer with IBIS model.
> The other end of Tx is left open .
> In the ouput file at the junction of cap I see a lots of ringing in
> first case while with IBIS model I don't see any ringing. Why this is
> happening. Why the IBIS model is not able to give any ringing?
>
> I am attaching the waveforms for both of the cases for reference.
>
> Waveform with IBIS model :
>
>
> Waveform with Spice simulation :
>
>
>
>
>
> Is this the trend or is there anything wrong in my setup ?
>
> Regards
> Anshuli Goel .
>

- --------------29945B2C35E4D8F7A02FDF62
Content-Type: multipart/related;
 boundary="------------F9425FA69D77257CF9112071"

- --------------F9425FA69D77257CF9112071
Content-Type: text/html; charset=us-ascii
Content-Transfer-Encoding: 7bit

<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
Resending with correct waveform.
<br>Anshuli
<p>Anshuli Goel wrote:
<blockquote TYPE=CITE>Hello IBIS Gurus
<p>I am trying to simulate the IBIS model in Spice for it's validation
.
<p>I generated the IBIS model by s2ibis2 script. After that I had two case.
<p>1. Simulate the spice netlist of the buffer with some load .
<br>2. Replace the subckt of buffer with IBIS model for same setup and
compare these two results.
<p>I used the following setup :
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Buffer
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
| \&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
R&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
______________
<br>------|&nbsp;&nbsp; \-------/\/\/\/\/\---|_______|&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
|______ Load
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
|/&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
|&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
|__Tx___________ |
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
_|_
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
___&nbsp; C
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
|
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
|
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
\/
<br>&nbsp;
<p>In Ist case I have the spice subckt of the buffer and in second case
I replced the subckt of buffer with IBIS model.
<br>The other end of Tx is left open .
<br>In the ouput file at the junction of cap I see a lots of ringing in
first case while with IBIS model I don't see any ringing. Why this is happening.
Why the IBIS model is not able to give any ringing?
<p>I am attaching the waveforms for both of the cases for reference.
<p>Waveform with IBIS model :
<br><img SRC="cid:[email-masked]" height=344 width=1018>
<br>&nbsp;
<p>Waveform with Spice simulation :
<p><img SRC="cid:[email-masked]" height=456 width=731>
<br>&nbsp;
<br>&nbsp;
<br>&nbsp;
<p>Is this the trend or is there anything wrong in my setup ?
<p>Regards
<br>Anshuli Goel .
<br>&nbsp;</blockquote>
</html>

- --------------F9425FA69D77257CF9112071
Content-Type: image/gif
Content-ID: <[email-masked]>
Content-Transfer-Encoding: base64
Content-Disposition: inline; filename="/user/a0875406/nsmail3E113DF00E92B63.gif"

- --------------F9425FA69D77257CF9112071
Content-Type: image/gif
Content-ID: <[email-masked]>
Content-Transfer-Encoding: base64
Content-Disposition: inline; filename="/user/a0875406/nsmail3E113A750E02B63.gif"

- --------------F9425FA69D77257CF9112071--

- --------------29945B2C35E4D8F7A02FDF62--

|------------------------------------------------------------------
|For help or to subscribe/unsubscribe, email [email-masked]
|with just the appropriate command message(s) in the body:
|
|  help
|  subscribe   ibis       <optional e-mail address, if different>
|  subscribe   ibis-users <optional e-mail address, if different>
|  unsubscribe ibis       <optional e-mail address, if different>
|  unsubscribe ibis-users <optional e-mail address, if different>
|
|or email a written request to [email-masked].
|
|IBIS reflector archives exist under:
|
|  http://www.eda.org/pub/ibis/email_archive/  Recent
|  http://www.eda.org/pub/ibis/users_archive/  Recent
|  http://www.eda.org/pub/ibis/email/          E-mail since 1993

------------------------------

Date: Tue, 31 Dec 2002 13:53:06 -0500
From: "Ingraham, Andrew" <[email-masked]>
Subject: RE: [IBIS-Users] [Fwd: Validation of IBIS model]

The "ringing" that I see with the SPICE model, looks more like some sort of numerical oscillation that you sometimes get in SPICE, and not real ringing.  This numerical oscillation is an uncommon but occasional artifact of SPICE.  If present, it can usually be eliminated by using .OPTION METHOD=GEAR rather than the default TRAPezoidal method.

You don't say how long the transmission line is, but it is probably not causing the sub-nanosecond wiggles that you are seeing on the SPICE model waveform.

If it isn't numerical oscillation, another place to look would be the package parasitic modeling.  Either the IBIS model, or the simulator's use of it, might have simplified the circuit representation of the package, compared to the SPICE model.

Regards,
Andy

|------------------------------------------------------------------
|For help or to subscribe/unsubscribe, email [email-masked]
|with just the appropriate command message(s) in the body:
|
|  help
|  subscribe   ibis       <optional e-mail address, if different>
|  subscribe   ibis-users <optional e-mail address, if different>
|  unsubscribe ibis       <optional e-mail address, if different>
|  unsubscribe ibis-users <optional e-mail address, if different>
|
|or email a written request to [email-masked].
|
|IBIS reflector archives exist under:
|
|  http://www.eda.org/pub/ibis/email_archive/  Recent
|  http://www.eda.org/pub/ibis/users_archive/  Recent
|  http://www.eda.org/pub/ibis/email/          E-mail since 1993

------------------------------

Date: Fri, 03 Jan 2003 18:18:23 +0530
From: Anshuli Goel <[email-masked]>
Subject: RE: [IBIS-Users] [Fwd: Validation of IBIS model]

This is a multi-part message in MIME format.
- --------------B842646A17AA9719DFE56773
Content-Type: multipart/alternative;
 boundary="------------E291E76E1A9B5AE3DAB14C19"

- --------------E291E76E1A9B5AE3DAB14C19
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Hi Andy

Thanx for the reply. That problem was actually because of timestep used
in simulation. I used a finer
timestep and my problem vanished.

But I have other problem. I am using the following setup for validating
the IBIS model. I hook up buffer
subckt once and once i hookup IBIS model with the rest of the setup.

Hi Andy

Thanx for the reply. That problem was actually because of timestep used
in simulation. I used a finer
timestep and my problem vanished.

But I have other problem. I am using the following setup for validating
the IBIS model. I hook up buffer
subckt once and once i hookup IBIS model with the rest of the setup.

The load changes from open circuit to matched load to short circiuit.
I see some ringing in matched load case with IBIS model simulation which
is not captured in SPICE
simulation . (For open load and short circuit load my results are
matching)
Why the results at matched load are not matching ?
The parameters for Tx is Z0=50ohm and Td=0.4ns
Input has 1ns risetime.

I am attaching the IBIS model and s2ibis2 script also.

Waveform with ringing (IBIS simulation)

Waveform without ringing(SPICE simulation using the subckt)

Regards
Anshuli
Ingraham, Andrew" wrote:

  The "ringing" that I see with the SPICE model, looks more like some
sort of numerical oscillation that you
  sometimes get in SPICE, and not real ringing.  This numerical
oscillation is an uncommon but occasional
  artifact of SPICE.  If present, it can usually be eliminated by using
.OPTION METHOD=GEAR rather
  than the default TRAPezoidal method.

  You don't say how long the transmission line is, but it is probably
not causing the sub-nanosecond wiggles
  that you are seeing on the SPICE model waveform.

  If it isn't numerical oscillation, another place to look would be the
package parasitic modeling.  Either the
  IBIS model, or the simulator's use of it, might have simplified the
circuit representation of the package,
  compared to the SPICE model.

  Regards,
  Andy

  |------------------------------------------------------------------
  |For help or to subscribe/unsubscribe, email [email-masked]
  |with just the appropriate command message(s) in the body:
  |
  |  help
  |  subscribe   ibis       <optional e-mail address, if different>
  |  subscribe   ibis-users <optional e-mail address, if different>
  |  unsubscribe ibis       <optional e-mail address, if different>
  |  unsubscribe ibis-users <optional e-mail address, if different>
  |
  |or email a written request to [email-masked].
  |
  |IBIS reflector archives exist under:
  |
  |  http://www.eda.org/pub/ibis/email_archive/  Recent
  |  http://www.eda.org/pub/ibis/users_archive/  Recent
  |  http://www.eda.org/pub/ibis/email/          E-mail since 1993

- --------------E291E76E1A9B5AE3DAB14C19
Content-Type: multipart/related;
 boundary="------------CCA94B8156E349412DE8A480"

- --------------CCA94B8156E349412DE8A480
Content-Type: text/html; charset=us-ascii
Content-Transfer-Encoding: 7bit

<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
&nbsp;
<br>Hi Andy
<p>Thanx for the reply. That problem was actually because of timestep used
in simulation. I used a finer
<br>timestep and my problem vanished.
<p>But I have other problem. I am using the following setup for validating
the IBIS model. I hook up buffer
<br>subckt once and once i hookup IBIS model with the rest of the setup.
<p><img SRC="cid:[email-masked]" height=278 width=640>
<br>&nbsp;
<p>Hi Andy
<p>Thanx for the reply. That problem was actually because of timestep used
in simulation. I used a finer
<br>timestep and my problem vanished.
<p>But I have other problem. I am using the following setup for validating
the IBIS model. I hook up buffer
<br>subckt once and once i hookup IBIS model with the rest of the setup.
<br>&nbsp;
<p>The load changes from open circuit to matched load to short circiuit.
<br>I see some ringing in matched load case with IBIS model simulation
which is not captured in SPICE
<br>simulation . (For open load and short circuit load my results are matching)
<br>Why the results at matched load are not matching ?
<br>The parameters for Tx is Z0=50ohm and Td=0.4ns
<br>Input has 1ns risetime.
<p>I am attaching the IBIS model and s2ibis2 script also.
<p>Waveform with ringing (IBIS&nbsp;simulation)
<p><img SRC="cid:[email-masked]" height=456 width=622>
<p>Waveform without ringing(SPICE&nbsp;simulation using the subckt)
<br><img SRC="cid:[email-masked]" height=361 width=570>
<br>&nbsp;
<p>Regards
<br>Anshuli
<br>Ingraham, Andrew" wrote:
<p>&nbsp; The "ringing" that I see with the SPICE model, looks more like
some sort of numerical oscillation that you
<br>&nbsp; sometimes get in SPICE, and not real ringing.&nbsp; This numerical
oscillation is an uncommon but occasional
<br>&nbsp; artifact of SPICE.&nbsp; If present, it can usually be eliminated
by using .OPTION METHOD=GEAR rather
<br>&nbsp; than the default TRAPezoidal method.
<p>&nbsp; You don't say how long the transmission line is, but it is probably
not causing the sub-nanosecond wiggles
<br>&nbsp; that you are seeing on the SPICE model waveform.
<p>&nbsp; If it isn't numerical oscillation, another place to look would
be the package parasitic modeling.&nbsp; Either the
<br>&nbsp; IBIS model, or the simulator's use of it, might have simplified
the circuit representation of the package,
<br>&nbsp; compared to the SPICE model.
<p>&nbsp; Regards,
<br>&nbsp; Andy
<p>&nbsp; |------------------------------------------------------------------
<br>&nbsp; |For help or to subscribe/unsubscribe, email [email-masked]
<br>&nbsp; |with just the appropriate command message(s) in the body:
<br>&nbsp; |
<br>&nbsp; |&nbsp; help
<br>&nbsp; |&nbsp; subscribe&nbsp;&nbsp; ibis&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&lt;optional e-mail address, if different>
<br>&nbsp; |&nbsp; subscribe&nbsp;&nbsp; ibis-users &lt;optional e-mail
address, if different>
<br>&nbsp; |&nbsp; unsubscribe ibis&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&lt;optional e-mail address, if different>
<br>&nbsp; |&nbsp; unsubscribe ibis-users &lt;optional e-mail address,
if different>
<br>&nbsp; |
<br>&nbsp; |or email a written request to [email-masked].
<br>&nbsp; |
<br>&nbsp; |IBIS reflector archives exist under:
<br>&nbsp; |
<br>&nbsp; |&nbsp; <A HREF="http://www.eda.org/pub/ibis/email_archive/">http://www.eda.org/pub/ibis/email_archive/</A>&nbsp; Recent
<br>&nbsp; |&nbsp; <A HREF="http://www.eda.org/pub/ibis/users_archive/">http://www.eda.org/pub/ibis/users_archive/</A>&nbsp; Recent
<br>&nbsp; |&nbsp; <A HREF="http://www.eda.org/pub/ibis/email/">http://www.eda.org/pub/ibis/email/</A>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
E-mail since 1993</html>

- --------------CCA94B8156E349412DE8A480
Content-Type: image/gif
Content-ID: <[email-masked]>
Content-Transfer-Encoding: base64
Content-Disposition: inline; filename="/user/a0875406/nsmail3E1586970124C31.gif"

- --------------CCA94B8156E349412DE8A480
Content-Type: image/gif
Content-ID: <[email-masked]>
Content-Transfer-Encoding: base64
Content-Disposition: inline; filename="/user/a0875406/nsmail3E1586970134C31.gif"

- --------------CCA94B8156E349412DE8A480
Content-Type: image/gif
Content-ID: <[email-masked]>
Content-Transfer-Encoding: base64
Content-Disposition: inline; filename="/user/a0875406/nsmail3E1586970144C31.gif"

- --------------CCA94B8156E349412DE8A480--

- --------------E291E76E1A9B5AE3DAB14C19--

- --------------B842646A17AA9719DFE56773
Content-Type: text/plain; charset=us-ascii;
 name="ubt062.ibs"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="ubt062.ibs"

|************************************************************************
| IBIS file ubt062.ibs created by s2ibis2 version 1.1
| North Carolina State University Electronics Research Laboratory  1995
|************************************************************************
|
[IBIS ver]       2.1
[File name]      ubt062.ibs
[File Rev]       0
[Date]           Jan 29, 2002 
[Source]         From TFP501 DATA BUFFER spice models 
[Disclaimer]     Please be aware that in the absence of a written agreement
                 Texas Instruments(TI) assumes no liability for: (1) The
                 accuracy of the IBIS models provided to your company (2) The
                 proper functioning of these Models in your design or for any
                 resulting applications;or (3)Infringement of
                 patents,copyrights or intellectual property rights resulting
                 from your use of these models. TI provides IBIS Models as a
                 service to our customers and therefore reserves the right to
                 limit distribution of the Models. 
[Copyright]      Property of Texas Instruments Incorporated. Unauthorised
                 reproduction and/or distribution is strictly prohibited. This
                 product is protected under copyright law and trade secret law
                 as an unpublished work. Created 2000,(C) Copyright 2000,Texas
                 Instruments Inc., All Rights Reserved.These commodities are
                 under the U.S. Government distribution license control.As
                 such,they are not to be re-exported without the prior approval
                 of the U.S. Department of Commerce. 
|
|************************************************************************
|                        Component OUTPUT DRIVER 
|************************************************************************
|
[Component]      OUTPUT DRIVER 
[Manufacturer]   Texas Instruments 
[Package]
| variable       typ                 min                 max
R_pkg            0.000               0.000               0.000
L_pkg            0.000H              0.000H              0.000H
C_pkg            0.000F              0.000F              0.000F
|
[Pin]  signal_name          model_name           R_pin     L_pin     C_pin
Y      Y                    tristate_driver
| A    A                    dummy
| GZ   GZ                   dummy
VDDS   VDDS                 POWER
VSSS   VSSS                 GND
|
|************************************************************************
|                         Model tristate_driver
|************************************************************************
|
[Model]          tristate_driver
Model_type       3-state
Polarity         Non-Inverting
Enable           Active-Low
C_comp           1.00pF              1.00pF              1.00pF
|
|
[Temperature Range]       25.00               0.11k               0.000
[Voltage Range]           3.30V               3.00V               3.60V
[Pulldown]
| voltage     I(typ)              I(min)              I(max)
|
  -3.30       -1.36mA             -0.85mA             -1.66mA
  -3.10       -1.51mA             -0.93mA             -1.84mA
  -2.90       -1.69mA             -1.03mA             -2.07mA
  -2.70       -1.91mA             -1.15mA             -2.36mA
  -2.50       -2.20mA             -1.31mA             -2.74mA
  -2.30       -2.60mA             -1.51mA             -3.27mA
  -2.10       -3.15mA             -1.78mA             -4.04mA
  -1.90       -4.00mA             -2.16mA             -5.28mA
  -1.70       -5.44mA             -2.73mA             -7.56mA
  -1.50       -8.39mA             -3.69mA            -13.14mA
  -1.00      -65.61mA            -16.11mA            -88.40mA
  -0.90      -78.35mA            -27.17mA            -95.48mA
  -0.80      -79.93mA            -40.67mA            -91.62mA
  -0.70      -73.77mA            -48.01mA            -84.11mA
  -0.60      -65.05mA            -46.03mA            -74.54mA
  -0.50      -54.78mA            -39.39mA            -63.00mA
  -0.40      -43.98mA            -31.62mA            -50.67mA
  -0.30      -33.07mA            -23.69mA            -38.16mA
  -0.20      -22.10mA            -15.76mA            -25.54mA
  -0.10      -11.08mA             -7.86mA            -12.82mA
   0.00        0.23nA              1.82nA              0.76nA
   0.10       10.95mA              7.69mA             12.74mA
   0.20       21.61mA             15.11mA             25.20mA
   0.30       31.96mA             22.23mA             37.39mA
   0.40       41.99mA             29.07mA             49.29mA
   0.50       51.70mA             35.60mA             60.89mA
   0.60       61.08mA             41.83mA             72.19mA
   0.70       70.11mA             47.74mA             83.19mA
   0.80       78.80mA             53.33mA             93.86mA
   0.90       87.11mA             58.59mA              0.10A
   1.00       95.05mA             63.51mA              0.11A
   1.10        0.10A              68.08mA              0.12A
   1.20        0.11A              72.30mA              0.13A
   1.30        0.12A              76.14mA              0.14A
   1.40        0.12A              79.61mA              0.15A
   1.50        0.13A              82.69mA              0.16A
   1.60        0.13A              85.37mA              0.17A
   1.70        0.14A              87.65mA              0.17A
   1.80        0.14A              89.52mA              0.18A
   1.90        0.15A              91.00mA              0.19A
   2.00        0.15A              92.14mA              0.19A
   2.10        0.15A              93.01mA              0.20A
   2.20        0.16A              93.69mA              0.20A
   2.30        0.16A              94.25mA              0.21A
   2.40        0.16A              94.71mA              0.21A
   2.50        0.16A              95.10mA              0.21A
   2.60        0.16A              95.44mA              0.21A
   2.70        0.16A              95.74mA              0.22A
   2.80        0.16A              96.01mA              0.22A
   2.90        0.16A              96.25mA              0.22A
   3.00        0.16A              96.48mA              0.22A
   3.10        0.16A              96.68mA              0.22A
   3.20        0.16A              96.87mA              0.22A
   3.30        0.16A              97.04mA              0.22A
   3.40        0.16A              97.22mA              0.22A
   3.50        0.16A              97.38mA              0.22A
   3.60        0.16A              97.54mA              0.22A
   3.70        0.16A              97.77mA              0.22A
   3.80        0.16A              98.31mA              0.22A
   3.90        0.16A              99.33mA              0.22A
   4.00        0.16A               0.10A               0.22A
   4.10        0.16A               0.10A               0.22A
   4.20        0.16A               0.10A               0.22A
   4.30        0.16A               0.11A               0.22A
   4.50        0.17A               0.11A               0.22A
   4.70        0.17A               0.12A               0.22A
   4.90        0.18A               0.12A               0.23A
   5.10        0.19A               0.13A               0.23A
   5.30        0.19A               0.13A               0.24A
   5.50        0.20A               0.14A               0.25A
   5.70        0.21A               0.15A               0.26A
   5.90        0.22A               0.15A               0.27A
   6.10        0.23A               0.16A               0.28A
   6.60        0.25A               0.18A               0.31A
|
[Pullup]
| voltage     I(typ)              I(min)              I(max)
|
  -3.30        0.19A               0.14A               0.22A
  -3.10        0.17A               0.13A               0.21A
  -2.90        0.16A               0.12A               0.20A
  -2.70        0.15A               0.11A               0.18A
  -2.50        0.14A               0.10A               0.17A
  -2.30        0.13A              95.29mA              0.16A
  -2.10        0.12A              86.97mA              0.14A
  -1.90        0.11A              78.58mA              0.13A
  -1.70       95.92mA             70.13mA              0.11A
  -1.50       84.34mA             61.65mA              0.10A
  -1.00       55.41mA             40.43mA             66.39mA
  -0.90       49.71mA             36.21mA             59.64mA
  -0.80       44.11mA             31.99mA             52.93mA
  -0.70       38.52mA             27.81mA             46.23mA
  -0.60       32.93mA             23.69mA             39.59mA
  -0.50       26.89mA             19.15mA             32.28mA
  -0.40       21.82mA             15.46mA             26.26mA
  -0.30       16.40mA             11.71mA             19.79mA
  -0.20       10.92mA              7.80mA             13.19mA
  -0.10        5.45mA              3.89mA              6.59mA
   0.00      -50.55pA              0.19nA             -8.66pA
   0.10       -5.42mA             -3.86mA             -6.57mA
   0.20      -10.80mA             -7.67mA            -13.09mA
   0.30      -16.13mA            -11.45mA            -19.56mA
   0.40      -21.41mA            -15.18mA            -25.98mA
   0.50      -26.64mA            -18.87mA            -32.36mA
   0.60      -31.82mA            -22.52mA            -38.69mA
   0.70      -36.95mA            -26.12mA            -44.96mA
   0.80      -42.03mA            -29.67mA            -51.19mA
   0.90      -47.04mA            -33.17mA            -57.35mA
   1.00      -52.00mA            -36.62mA            -63.46mA
   1.10      -56.90mA            -40.02mA            -69.52mA
   1.20      -61.73mA            -43.35mA            -75.51mA
   1.30      -66.50mA            -46.64mA            -81.44mA
   1.40      -71.20mA            -49.85mA            -87.31mA
   1.50      -75.83mA            -53.01mA            -93.11mA
   1.60      -80.39mA            -56.10mA            -98.84mA
   1.70      -84.87mA            -59.11mA             -0.10A
   1.80      -89.27mA            -62.06mA             -0.11A
   1.90      -93.59mA            -64.92mA             -0.12A
   2.00      -97.83mA            -67.71mA             -0.12A
   2.10       -0.10A             -70.40mA             -0.13A
   2.20       -0.11A             -73.01mA             -0.13A
   2.30       -0.11A             -75.52mA             -0.14A
   2.40       -0.11A             -77.92mA             -0.14A
   2.50       -0.12A             -80.22mA             -0.15A
   2.60       -0.12A             -82.40mA             -0.15A
   2.70       -0.12A             -84.46mA             -0.16A
   2.80       -0.13A             -86.39mA             -0.16A
   2.90       -0.13A             -88.18mA             -0.17A
   3.00       -0.13A             -89.82mA             -0.17A
   3.10       -0.14A             -91.33mA             -0.17A
   3.20       -0.14A             -92.68mA             -0.18A
   3.30       -0.14A             -93.88mA             -0.18A
   3.40       -0.15A             -94.93mA             -0.19A
   3.50       -0.15A             -95.84mA             -0.19A
   3.60       -0.15A             -96.65mA             -0.19A
   3.70       -0.15A             -97.42mA             -0.20A
   3.80       -0.15A             -98.41mA             -0.20A
   3.90       -0.15A              -0.10A              -0.20A
   4.00       -0.16A              -0.11A              -0.21A
   4.10       -0.16A              -0.13A              -0.21A
   4.20       -0.16A              -0.15A              -0.21A
   4.30       -0.16A              -0.18A              -0.21A
   4.50       -0.17A              -0.25A              -0.22A
   4.70       -0.19A              -0.31A              -0.22A
   4.90       -0.25A              -0.38A              -0.23A
   5.10       -0.31A              -0.45A              -0.24A
   5.30       -0.38A              -0.52A              -0.28A
   5.50       -0.45A              -0.59A              -0.34A
   5.70       -0.52A              -0.66A              -0.41A
   5.90       -0.59A              -0.73A              -0.48A
   6.10       -0.66A              -0.80A              -0.55A
   6.60       -0.83A              -0.97A              -0.72A
|
[GND_clamp]
| voltage     I(typ)              I(min)              I(max)
|
  -3.30       -0.83A              -0.87A              -0.82A
  -3.20       -0.80A              -0.83A              -0.79A
  -3.10       -0.76A              -0.80A              -0.75A
  -3.00       -0.73A              -0.76A              -0.72A
  -2.90       -0.69A              -0.73A              -0.68A
  -2.80       -0.66A              -0.69A              -0.65A
  -2.70       -0.62A              -0.66A              -0.61A
  -2.60       -0.59A              -0.62A              -0.58A
  -2.50       -0.55A              -0.59A              -0.54A
  -2.40       -0.52A              -0.55A              -0.51A
  -2.30       -0.48A              -0.52A              -0.47A
  -2.20       -0.45A              -0.48A              -0.44A
  -2.10       -0.41A              -0.45A              -0.40A
  -2.00       -0.38A              -0.41A              -0.37A
  -1.90       -0.34A              -0.38A              -0.33A
  -1.80       -0.31A              -0.34A              -0.30A
  -1.70       -0.27A              -0.31A              -0.26A
  -1.60       -0.24A              -0.27A              -0.23A
  -1.50       -0.20A              -0.24A              -0.19A
  -1.40       -0.17A              -0.21A              -0.16A
  -1.30       -0.14A              -0.17A              -0.13A
  -1.20       -0.10A              -0.14A             -94.11mA
  -1.10      -71.82mA             -0.11A             -63.09mA
  -1.00      -42.74mA            -76.42mA            -35.42mA
  -0.90      -19.32mA            -47.75mA            -16.33mA
  -0.80       -7.10mA            -23.49mA             -8.13mA
  -0.70       -2.58mA             -7.64mA             -3.52mA
  -0.60       -0.58mA             -1.56mA             -0.86mA
  -0.50      -59.71uA             -0.22mA            -89.89uA
  -0.40       -3.47uA            -23.19uA             -4.68uA
  -0.30       -0.13uA             -1.95uA             -0.15uA
  -0.20       -4.67nA             -0.14uA             -5.89nA
  -0.10       -0.88nA            -15.91nA             -2.42nA
   0.00       -0.72nA             -8.13nA             -2.11nA
   0.10       -0.65nA             -7.31nA             -1.87nA
   0.20       -0.58nA             -6.86nA             -1.67nA
   0.30       -0.52nA             -6.44nA             -1.48nA
   0.40       -0.47nA             -6.06nA             -1.31nA
   0.50       -0.42nA             -5.69nA             -1.16nA
   0.60       -0.37nA             -5.33nA             -1.02nA
   0.70       -0.32nA             -4.99nA             -0.89nA
   0.80       -0.28nA             -4.66nA             -0.77nA
   0.90       -0.23nA             -4.35nA             -0.67nA
   1.00       -0.19nA             -4.04nA             -0.57nA
   1.10       -0.16nA             -3.75nA             -0.48nA
   1.20       -0.12nA             -3.48nA             -0.40nA
   1.30      -86.91pA             -3.21nA             -0.33nA
   1.40      -54.25pA             -2.95nA             -0.26nA
   1.50      -23.03pA             -2.70nA             -0.20nA
   1.60        6.89pA             -2.47nA             -0.14nA
   1.70       35.59pA             -2.24nA            -93.94pA
   1.80       63.18pA             -2.02nA            -47.09pA
   1.90       89.77pA             -1.81nA             -3.94pA
   2.00        0.12nA             -1.61nA             35.93pA
   2.10        0.14nA             -1.41nA             72.89pA
   2.20        0.16nA             -1.23nA              0.11nA
   2.30        0.19nA             -1.05nA              0.14nA
   2.40        0.21nA             -0.88nA              0.17nA
   2.50        0.23nA             -0.72nA              0.20nA
   2.60        0.25nA             -0.58nA              0.22nA
   2.70        0.27nA             -0.45nA              0.25nA
   2.80        0.29nA             -0.33nA              0.27nA
   2.90        0.31nA             -0.18nA              0.30nA
   3.00        0.32nA              1.39nA              0.32nA
   3.10        0.34nA             28.99nA              0.34nA
   3.20        0.35nA              0.46uA              0.36nA
   3.30        0.39nA             12.57uA              0.37nA
|
[POWER_clamp]
| voltage     I(typ)              I(min)              I(max)
|
  -3.30        2.75mA              2.42mA              3.12mA
  -3.20        2.63mA              2.31mA              2.99mA
  -3.10        2.51mA              2.19mA              2.87mA
  -3.00        2.39mA              2.08mA              2.75mA
  -2.90        2.27mA              1.97mA              2.62mA
  -2.80        2.15mA              1.86mA              2.50mA
  -2.70        2.03mA              1.75mA              2.38mA
  -2.60        1.91mA              1.64mA              2.26mA
  -2.50        1.80mA              1.53mA              2.14mA
  -2.40        1.68mA              1.42mA              2.02mA
  -2.30        1.57mA              1.31mA              1.91mA
  -2.20        1.46mA              1.20mA              1.80mA
  -2.10        1.35mA              1.10mA              1.69mA
  -2.00        1.24mA              0.99mA              1.58mA
  -1.90        1.14mA              0.89mA              1.47mA
  -1.80        1.03mA              0.79mA              1.36mA
  -1.70        0.92mA              0.69mA              1.25mA
  -1.60        0.82mA              0.59mA              1.14mA
  -1.50        0.71mA              0.49mA              1.03mA
  -1.40        0.61mA              0.40mA              0.92mA
  -1.30        0.50mA              0.30mA              0.81mA
  -1.20        0.40mA              0.21mA              0.70mA
  -1.10        0.30mA              0.13mA              0.59mA
  -1.00        0.20mA             59.77uA              0.49mA
  -0.90        0.11mA             18.49uA              0.38mA
  -0.80       40.99uA              4.33uA              0.28mA
  -0.70        9.91uA              2.46uA              0.18mA
  -0.60        5.33uA              2.35uA             88.82uA
  -0.50        0.51mA              0.51mA              0.74mA
  -0.40       73.05uA              0.21mA              0.14mA
  -0.30        0.88uA             12.57uA              1.31uA
  -0.20       30.21nA              0.46uA             37.86nA
  -0.10        1.25nA             28.99nA              1.56nA
   0.00        0.39nA              1.39nA              0.46nA
|
[Ramp]
| variable       typ                 min                 max
dV/dt_r          1.43/0.82n          1.16/1.67n          1.64/0.53n
dV/dt_f          1.66/0.70n          1.39/1.35n          1.86/0.47n
R_load = 50.00
|
[Rising Waveform]
R_fixture = 10.00k
V_fixture = 0.000
V_fixture_min = 0.000
V_fixture_max = 0.000
C_fixture = 30.00pF
| time           V(typ)              V(min)              V(max)
|
  0.000S          4.42nV             80.54nV             10.42nV
   0.20nS        19.28uV             -3.23uV             75.50uV
   0.40nS        -0.95mV              0.16mV             -5.70mV
   0.60nS       -10.40mV             -3.33mV             25.76mV
   0.80nS        14.02mV            -12.14mV              0.15V
   1.00nS        94.19mV            -14.20mV              0.42V
   1.20nS         0.22V               2.35mV              0.80V
   1.40nS         0.36V              27.80mV              1.17V
   1.60nS         0.60V              72.98mV              1.70V
   1.80nS         0.90V               0.13V               2.19V
   2.00nS         1.25V               0.21V               2.59V
   2.20nS         1.61V               0.31V               2.89V
   2.40nS         1.96V               0.43V               3.12V
   2.60nS         2.26V               0.57V               3.27V
   2.80nS         2.56V               0.77V               3.40V
   3.00nS         2.75V               0.95V               3.47V
   3.20nS         2.86V               1.10V               3.51V
   3.40nS         2.98V               1.31V               3.54V
   3.60nS         3.07V               1.52V               3.56V
   3.80nS         3.13V               1.72V               3.57V
   4.00nS         3.18V               1.91V               3.58V
   4.20nS         3.22V               2.12V               3.59V
   4.40nS         3.25V               2.29V               3.59V
   4.60nS         3.26V               2.39V               3.59V
   4.80nS         3.26V               2.47V               3.59V
   5.00nS         3.27V               2.56V               3.59V
   5.20nS         3.28V               2.64V               3.59V
   5.40nS         3.28V               2.73V               3.59V
   5.60nS         3.29V               2.79V               3.59V
   5.80nS         3.29V               2.82V               3.59V
   6.00nS         3.29V               2.85V               3.59V
   6.20nS         3.29V               2.88V               3.59V
   6.40nS         3.29V               2.90V               3.59V
   6.60nS         3.29V               2.92V               3.59V
   6.80nS         3.29V               2.93V               3.59V
   7.00nS         3.29V               2.95V               3.59V
   7.20nS         3.29V               2.96V               3.59V
   7.40nS         3.29V               2.96V               3.59V
   7.60nS         3.29V               2.97V               3.59V
   7.80nS         3.29V               2.97V               3.59V
   8.00nS         3.29V               2.98V               3.59V
   8.20nS         3.29V               2.98V               3.59V
   8.40nS         3.29V               2.98V               3.59V
   8.60nS         3.29V               2.98V               3.59V
   8.80nS         3.29V               2.99V               3.59V
   9.00nS         3.29V               2.99V               3.59V
   9.20nS         3.29V               2.99V               3.59V
   9.40nS         3.29V               2.99V               3.59V
   9.60nS         3.29V               2.99V               3.59V
   9.80nS         3.29V               2.99V               3.59V
  10.00nS         3.29V               2.99V               3.59V
|
[Falling Waveform]
R_fixture = 10.00k
V_fixture = 3.30
V_fixture_min = 3.00
V_fixture_max = 3.60
C_fixture = 30.00pF
| time           V(typ)              V(min)              V(max)
|
  0.000S          3.30V               3.00V               3.60V
   0.20nS         3.30V               3.00V               3.60V
   0.40nS         3.30V               3.00V               3.60V
   0.60nS         3.30V               3.00V               3.56V
   0.80nS         3.25V               3.01V               3.42V
   1.00nS         3.13V               2.98V               3.20V
   1.20nS         3.00V               2.93V               2.84V
   1.40nS         2.87V               2.88V               2.44V
   1.60nS         2.62V               2.81V               1.81V
   1.80nS         2.28V               2.74V               1.17V
   2.00nS         1.86V               2.65V               0.66V
   2.20nS         1.40V               2.55V               0.34V
   2.40nS         0.97V               2.41V               0.17V
   2.60nS         0.61V               2.23V              74.09mV
   2.80nS         0.32V               1.96V              25.07mV
   3.00nS         0.18V               1.72V               9.21mV
   3.20nS         0.11V               1.53V               4.95mV
   3.40nS        58.53mV              1.27V               2.93mV
   3.60nS        30.02mV              1.01V               2.60mV
   3.80nS        15.73mV              0.78V               2.71mV
   4.00nS         8.94mV              0.58V               2.86mV
   4.20nS         5.46mV              0.39V               2.95mV
   4.40nS         4.14mV              0.25V               2.96mV
   4.60nS         3.81mV              0.19V               2.94mV
   4.80nS         3.61mV              0.14V               2.93mV
   5.00nS         3.47mV             97.89mV              2.91mV
   5.20nS         3.38mV             66.23mV              2.89mV
   5.40nS         3.30mV             41.25mV              2.88mV
   5.60nS         3.25mV             25.89mV              2.86mV
   5.80nS         3.21mV             19.97mV              2.85mV
   6.00nS         3.19mV             15.82mV              2.84mV
   6.20nS         3.16mV             11.94mV              2.83mV
   6.40nS         3.13mV              9.42mV              2.83mV
   6.60nS         3.11mV              7.77mV              2.82mV
   6.80nS         3.09mV              6.67mV              2.82mV
   7.00nS         3.07mV              5.94mV              2.81mV
   7.20nS         3.06mV              5.44mV              2.81mV
   7.40nS         3.04mV              5.02mV              2.81mV
   7.60nS         3.03mV              4.74mV              2.80mV
   7.80nS         3.02mV              4.61mV              2.80mV
   8.00nS         3.02mV              4.52mV              2.80mV
   8.20nS         3.01mV              4.41mV              2.80mV
   8.40nS         3.01mV              4.33mV              2.80mV
   8.60nS         3.00mV              4.27mV              2.80mV
   8.80nS         3.00mV              4.22mV              2.80mV
   9.00nS         2.99mV              4.17mV              2.80mV
   9.20nS         2.99mV              4.14mV              2.80mV
   9.40nS         2.99mV              4.10mV              2.80mV
   9.60nS         2.98mV              4.07mV              2.80mV
   9.80nS         2.98mV              4.04mV              2.80mV
  10.00nS         2.98mV              4.03mV              2.80mV
|
| End [Model] tristate_driver
|
| End [Component] OUTPUT DRIVER 
|
[End]

- --------------B842646A17AA9719DFE56773
Content-Type: text/plain; charset=us-ascii;
 name="data0.s2i"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="data0.s2i"

| data0 -  TFP501 DATA BUFFER : tristatable output buffer, with ST=0.
| 

|
| Specify the IBIS version and file revision number.
|
[IBIS Ver]		2.1
[File rev] 		0
[File name]     ubt06225.ibs

|[Clean up]
[Clamp tolerance] 0
|
| Add some comments to identify the file.
|
[date]  Jan 29, 2002
[source] From TFP501 DATA BUFFER spice models

[Disclaimer] Please be aware that in the absence of a written agreement
+Texas Instruments(TI) assumes no liability for:
+(1) The accuracy of the IBIS models provided to your company
+(2) The proper functioning of these Models in your design
+    or for any resulting applications;or
+(3)Infringement of patents,copyrights or intellectual
+   property rights resulting from your use of these models.
+ TI provides IBIS Models as a service to our customers and 
+ therefore reserves the right to limit distribution of the 
+ Models.

[Copyright] Property of Texas Instruments Incorporated.
+Unauthorised reproduction and/or distribution is strictly prohibited.
+This product is protected under copyright law and trade 
+secret law as an unpublished work.
+Created 2000,(C) Copyright 2000,Texas Instruments Inc.,
+All Rights Reserved.These commodities are under the U.S.
+Government distribution license control.As such,they are not
+to be re-exported without the prior approval of the U.S.
+Department of Commerce.

|
| Give the spice type.  Allowable values are hspice, pspice, spice2,
| spice3 and spectre.
|
[Spice type]		spice2
[Spice command] "spice3  -tmp /tmp -init /dev/null %s %s /dev/null >%s 2>&1"

|
| Now specify some global parameters. These parameters will apply to
| _all_ the models in this file.
|
| Note on the [Temperature range] keyword: Since this is a CMOS circuit,
| the min column contains the highest temperature, since this temperature
| causes or amplifies the "min" (slow, weak) behavior, while the max
| column contains the lowest temperature, since this temperature causes or
| amplifies the "max" (fast, strong) behavior.  If this were a bipolar
| circuit, these temperature values would be reversed.
|
[temperature range] 25 115 0
[voltage range] 3.3 3 3.6
[sim time] 10ns
[vil] 0 0 0
[vih] 1.5 1.35 1.65 
[rload] 25 
[Tr] .2n .2n .2n  
[Tf] .2n .2n .2n   

| 
| Specify the default pin parasitics
| 
|[R_pkg]			0.1 	0.097	0.123
|[L_pkg]			1.5nH	2.0nH  2.5nH
|[C_pkg]			1.5pF   1.0pF   2.0pF
[C_comp]      1p 1p 1p 

|
| Component Description
|
[Component] OUTPUT DRIVER
[manufacturer] Texas Instruments

|
| Specify the SPICE file where the circuit is located.
|
| ST made high in the SPICE netlist
|
|
[Spice file] UBT062.spi

|
| Now specify the pin list.  Since we're just creating an IBIS file for
| the driver, we'll use a very short pin list.
|
| The pin list formats can be found in doc/s2ibis2.txt.  Briefly, the
| first line of each pin is of the form
|
|  pin_name  spice_node  signal_name  model_name
|
| If a pin description has more than one line (e.g. the first pin in the
| pin list below), the second line is of the form
|
| -> input_pin  enable_pin
|
| Note that the second line must begin with the symbol "->".
[Pin]
Y Y3 Y tristate_driver 
- -> A GZ
A A A dummy
GZ GZ GZ dummy
VDDS VDDS VDDS POWER 
VSSS VSSS VSSS GND

|
| Now we give the particulars of the model "tristate_driver".  It is of 
| type "3-State" (allowable types may be found in doc/s2ibis2.txt) and is
| non-inverting. We want to use models from the file "spectre.mod" for
| typ, min and max simulations, and we want to include both a rising and
| falling waveform in our IBIS model. Both the rising and falling
| wveforms have a 500 ohm load; the rising waveform has the load
| grounded, while the falling waveform has the load connected to 3.3V.
| Neither waveform includes any other test fixture or package parasitics.
|
[Model] tristate_driver
[Model type] 3-state
[Polarity] Non-inverting
[Enable] active-low
[Model file] models_nom  models_weak   models_s 
[Rising waveform]  10000 0 0 0  NA 30p NA NA NA
[Falling waveform] 10000  3.3 3.0 3.6 NA 30p NA NA NA
|[Vmeas] 1.5

|
| Now specify stuff for the model "input".
[Model] 	dummy
[nomodel]

- --------------B842646A17AA9719DFE56773--

|------------------------------------------------------------------
|For help or to subscribe/unsubscribe, email [email-masked]
|with just the appropriate command message(s) in the body:
|
|  help
|  subscribe   ibis       <optional e-mail address, if different>
|  subscribe   ibis-users <optional e-mail address, if different>
|  unsubscribe ibis       <optional e-mail address, if different>
|  unsubscribe ibis-users <optional e-mail address, if different>
|
|or email a written request to [email-masked].
|
|IBIS reflector archives exist under:
|
|  http://www.eda.org/pub/ibis/email_archive/  Recent
|  http://www.eda.org/pub/ibis/users_archive/  Recent
|  http://www.eda.org/pub/ibis/email/          E-mail since 1993

------------------------------

End of ibis-users V1 #14
************************